Bug 1417600 - [RFE] Local hosting for development artifacts in Satellite 6
Summary: [RFE] Local hosting for development artifacts in Satellite 6
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.2.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 12:04 UTC by Harshad More
Modified: 2020-08-13 08:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-11 18:43:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Harshad More 2017-01-30 12:04:00 UTC
1. Proposed title of this feature request
[RFE] Local hosting for development artifacts

2. What is the nature and description of the request?

--> As a part of the artifacts deliverable by Satellite, it should be possible to include non-RPM content into Satellite.


3. Why does the customer need this? (List the business requirements here)

--> They want to have a single source of truth for building and delivering applications. Within that vision, it's expected that from a single system, they can build and deliver their applications with the right versioning, reproducibility, etc.

4. How would the customer like to achieve this? (List the functional requirements here)

- Current Satellite features are used to build a system.
- Additionally this system can download non-RPM content from their associated Content View.
- This content follows the same promotion rules (lifecycle environments) as regular CVs
- Promotion to capsules should be supported as well (same as CVs).
- There should be a way to query non-RPM files available to a particular system.

By non-RPM, it is understood:

- Regular binary files (eg: ZIP, TGZ)
- pip/python repos
- Java JAR/WAR/EAR


5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

--> Customer will provision a system, will check available non-RPM files and will initiate a download from the provisioned system.

6. Is there already an existing RFE upstream or in Red Hat Bugzilla?

--> This RFE is highly based on https://bugzilla.redhat.com/show_bug.cgi?id=1124928 ; however that BZ points to Openshift and we believe this feature is better suited to be supported by Satellite.


7. Does the customer have any specific time-line dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

--> As soon as possible, as subscription and contract management has been hightlighted as critical as to continue using Satellite.

8. List any affected packages or components.

Satellite 6.2


9. Would the customer be able to assist in testing this functionality if implemented?

Yes

Comment 4 Bryan Kearney 2018-01-11 18:43:21 UTC
Satellite 6.3 introduces filre repositories that can be promoted. This will meet the needs of this RFE.


Note You need to log in before you can comment on or make changes to this bug.